trn4 (4.0-test77-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild

 -- root <root@loongson-pc>  Fri, 01 Apr 2022 20:07:39 +0800

trn4 (4.0-test77-12) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs.
  * Move VCS to salsa.debian.org.
  * Override spelling-error-in-patch-description false positive from
    Lintian.
  * Recommend "default-mta | mail-transport-agent" rather than "exim4 |
    mail-transport-agent".

  [ Ondřej Nový ]
  * d/watch: Use https protocol

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Oct 2018 16:44:03 +0100

trn4 (4.0-test77-11) unstable; urgency=medium

  * Update Vcs-Browser URL yet again.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2014 17:48:40 +0100

trn4 (4.0-test77-10) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Upgrade to debhelper v9.
  * Use dh-exec to remove the need to override dh_install.
  * debconf template translations:
    - Add Turkish (thanks, Mert Dirik; closes: #757489).
  * Include <sys/ioctl.h> even if <sys/filio.h> exists, as we may need it
    for terminal ioctls such as TIOCGWINSZ.  Fixes build on kFreeBSD.

 -- Colin Watson <cjwatson@debian.org>  Sat, 30 Aug 2014 06:09:28 +0100

trn4 (4.0-test77-9) unstable; urgency=low

  * Support parallel builds.
  * Switch to git; add Vcs-* fields.
  * The built-in inews is sufficient for remote posting over NNTP, so
    depending on a separate inews package is too strong.  However, it still
    needs a separate inews for local posting.  Drop the inews dependency to
    Recommends and add a note to the package description (closes: #265443,
    LP: #3804).
  * Policy version 3.9.5:
    - Move Conflicts: trn (<= 3.6-14) to Breaks.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Jan 2014 22:01:54 +0000

trn4 (4.0-test77-8) unstable; urgency=low

  * Use 'set -e' rather than '#! /bin/sh -e' in maintainer scripts.
  * Add a Homepage field.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Jun 2013 10:58:41 +0100

trn4 (4.0-test77-7) unstable; urgency=low

  * debconf template translations:
    - Add Japanese (thanks, victory; closes: #690565).

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Feb 2013 11:34:11 +0000

trn4 (4.0-test77-6) unstable; urgency=low

  [ Nick Leverton ]
  * Double the size of the line buffer to fix a segfault whilst applying
    killfile to article with long header line; articles with References
    headers > 1024 bytes are not uncommon, but in practice they do not seem
    to grow very much beyond that (closes: #682803).

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Aug 2012 06:23:45 +0100

trn4 (4.0-test77-5) unstable; urgency=low

  * Use dpkg-buildflags to enable hardening options.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 14:15:10 +0100

trn4 (4.0-test77-4) unstable; urgency=low

  [ Colin Watson ]
  * debconf template translations:
    - Add Dutch (thanks, Jeroen Schot; closes: #654770).
  * Build with -D_FILE_OFFSET_BITS=64 for large file support (closes:
    #662893).

  [ Ian Jackson ]
  * Stabilise thread tree by extending date-based partial ordering of
    articles into a complete order using the article number, to ensure that
    parts of the thread tree do not become unreachable (closes: #654771).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Mar 2012 10:16:18 +0100

trn4 (4.0-test77-3) unstable; urgency=low

  * Check for libtinfo separately from libcurses, and build-depend on
    libtinfo-dev rather than libncurses5-dev.
  * Add multiarch directories to library search path.

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 Oct 2011 15:18:32 +0100

trn4 (4.0-test77-2) unstable; urgency=low

  * Add cross-compiling support.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Sep 2011 21:40:48 +0100

trn4 (4.0-test77-1) unstable; urgency=low

  * New upstream release.  Among other changes:
    - Document 'a' article-selection command (closes: #509451).
  * Use ${misc:Depends}.
  * Convert to source format 3.0 (quilt).
  * All patches are now maintained separately and tagged according to DEP-3.
  * Build with IPv6 support.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Dec 2010 18:55:45 +0000

trn4 (4.0-test76-18) unstable; urgency=low

  * debconf template translations:
    - Add Spanish (thanks, Camaleón; closes: #584450).
    - Add Italian (thanks, Vincenzo Campanella; closes: #600221).

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Oct 2010 01:35:17 +0100

trn4 (4.0-test76-17) unstable; urgency=low

  * debconf template translations:
    - Add Galician (thanks, Marce Villarino; closes: #537538).
  * Upgrade to debhelper v7.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Feb 2010 14:34:52 +0000

trn4 (4.0-test76-16) unstable; urgency=low

  * Use 'tail -c +BYTES' rather than 'tail +BYTESc', which only works with
    old _POSIX2_VERSION set in the environment (closes: #481863).
  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Honour NNTPAUTH environment variable for AUTHINFO GENERIC (closes:
    #536870).
  * debconf template translations:
    - Add Russian (thanks, Yuri Kozlov; closes: #511825).

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Jul 2009 22:30:57 +0100

trn4 (4.0-test76-15) unstable; urgency=low

  * Move util_init back up the initialisation order; doshell still doesn't
    work quite right if util_init hasn't been called. This is noticeable
    when trying to use AUTHINFO GENERIC.
  * Fix typo in trn-artchk(1), spotted by lintian.

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 May 2008 15:02:43 +0100

trn4 (4.0-test76-14) unstable; urgency=low

  * Use version 3 watch file format and magic sf.net URL (closes: #450354).
  * Drop source-compatibility with woody.
  * Update to menu structure from menu 2.1.35.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Nov 2007 10:19:01 +0000

trn4 (4.0-test76-13) unstable; urgency=low

  * Pnews: exit on EOF in pgpask state (part of #197677, although we still
    don't use set -e).

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Mar 2007 14:18:24 +0000

trn4 (4.0-test76-12) unstable; urgency=low

  * debconf template translations:
    - Add Portuguese (thanks, Rui Branco; closes: #399346).
  * Mark package as autobuildable, per
    http://lists.debian.org/debian-devel-announce/2006/11/msg00012.html.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Dec 2006 11:32:24 +0000

trn4 (4.0-test76-11) unstable; urgency=low

  * Make trn4/whoami-change Type: error (closes: #388975).
  * Add Czech debconf template translation (thanks, Miroslav Kure;
    closes: #319638).
  * Add Swedish debconf template translation (thanks, Daniel Nylander;
    closes: #330441).
  * Explicitly tell po2debconf to use the 'popular' output encoding, so that
    the woody-compatibility hack works even with po-debconf 0.9.0.
  * Use debhelper v4.
  * Policy version 3.7.2: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Nov 2006 07:14:31 +0000

trn4 (4.0-test76-10) unstable; urgency=low

  * Depend on debconf | debconf-2.0.
  * Always include opt.h after util.h to avoid "array type has incomplete
    element type" errors (closes: #300517).

 -- Colin Watson <cjwatson@debian.org>  Fri, 15 Jul 2005 13:33:36 +0100

trn4 (4.0-test76-9) unstable; urgency=low

  * Recommend exim4 instead of exim (closes: #255366).
  * Add Danish debconf template translation (thanks, Morten Brix Pedersen;
    closes: #253024).

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Oct 2004 18:18:03 +0100

trn4 (4.0-test76-8) unstable; urgency=low

  * Use -d and -e switches for second pass of Configure, so that it doesn't
    need a tty to build (closes: #243116).
  * Add French debconf template translation (thanks, Eric Madesclair;
    closes: #239603).

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Apr 2004 02:04:30 +0100

trn4 (4.0-test76-7) unstable; urgency=low

  * Oops; debian/po/POTFILES.in should list templates.master, not templates
    (thanks, Denis Barbier; closes: #236380).

 -- Colin Watson <cjwatson@debian.org>  Sat,  6 Mar 2004 19:34:16 +0000

trn4 (4.0-test76-6) unstable; urgency=low

  * Convert debconf translation support to po-debconf.
  * debian/menu: Quote 'needs' and 'section' arguments.
  * Policy version 3.6.1: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Tue,  2 Mar 2004 20:42:30 +0000

trn4 (4.0-test76-5) unstable; urgency=low

  * trn.1: Document the FROM environment variable.
  * Conform to _POSIX2_VERSION=200112:
    - debian/config: Use 'head -n 1' rather than 'head -1'.
    - Configure: Use 'split -l 50' rather than 'split -50'.
  * debian/control: Policy version 3.6.0. No changes required.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2003 18:42:46 +0100

trn4 (4.0-test76-4) unstable; urgency=low

  * Clarify unkill prompt.
  * Stop hard-coding the path to egrep (closes: #179174).
  * Fix segfault when closing the overview file after the server has gone
    away (thanks, Paul Slootman; closes: #177911).
  * Fix segfault under certain circumstances when multiple identical +h
    options are used (closes: #177793).
  * Policy version 3.5.8:
    - Access mail spool as /var/mail rather than /var/spool/mail.
    - Drop support for DEB_BUILD_OPTIONS=debug; support noopt instead.

 -- Colin Watson <cjwatson@debian.org>  Mon,  3 Feb 2003 23:19:16 +0000

trn4 (4.0-test76-3) unstable; urgency=low

  * Provide strn, which has been removed in favour of trn4.
  * Delete the warning in the package description about trn4 perhaps not
    being a complete replacement for strn.
  * Change some uses of sprintf() to snprintf() to prevent a buffer overflow
    at the newsgroup subscription prompt (thanks, Terran Melconian; see
    #24783).

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Jan 2002 03:43:10 +0000

trn4 (4.0-test76-2) unstable; urgency=low

  * Stop the config script failing if the host and/or domain name haven't
    been configured yet (which happens in a fresh debootstrap chroot).
  * The /etc/trn4 directory was left behind (empty) when purging. I think
    this is a dpkg bug, but I've worked around it anyway.
  * Only ask about /etc/news/whoami and /etc/mailname being different if
    both exist.
  * Don't segfault on poorly-encoded quoted-printable header lines.

 -- Colin Watson <cjwatson@debian.org>  Sat, 26 May 2001 19:42:17 +0100

trn4 (4.0-test76-1) unstable; urgency=low

  * New upstream release. Cache segfault patch applied upstream, spoiler
    character and ncurses patches still here.
  * Updated to policy version 3.5.2: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Tue,  3 Apr 2001 15:35:18 +0100

trn4 (4.0-test75-3) unstable; urgency=low

  * Quick fix to compile with ncurses >= 5.1 (closes: #89353). Whoever knows
    the terminal code upstream should sort out a neater solution.
  * Treat formfeeds in articles as spoiler characters even when they aren't
    at the beginning of a line.
  * Don't include the INSTALL file. It's not all how-to-build-from-source
    instructions, but most of the rest is handled by the Debian system.
  * Use 'chown news:news' instead of 'chown news.news'.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Mar 2001 23:24:26 +0000

trn4 (4.0-test75-2) unstable; urgency=low

  * The "Doughnut Throne" release.
  * Move to debconf 0.5, which makes the backup code a lot cleaner, and
    fixes a stray question that kept on being asked (thanks, Steve
    Greenland; closes: #86660).
  * Set defaults for debconf questions properly (using SET, not SUBST).
  * Abort configuration if the user backs up off the first question.
  * Fix a possible segfault if trn closed its article cache more than once.

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Feb 2001 23:15:03 +0000

trn4 (4.0-test75-1) unstable; urgency=low

  * New upstream release. This incorporates all my current non-debian/*
    diffs.
  * Recommend exim as a concrete alternative to mail-transport-agent.
  * Raised priority back to optional. We still conflict with strn
    (optional), but we no longer conflict with trn; since strn still
    conflicts with trn, it should be the one to drop to extra.
  * Added debian/watch.
  * Go along with upstream's concerns about using vfork() until I know more
    about its behaviour on Linux.
  * Minor tweaks to README.debugging.
  * Use debhelper v3.

 -- Colin Watson <cjwatson@debian.org>  Wed, 14 Feb 2001 11:47:42 +0000

trn4 (4.0-test74-8) unstable; urgency=low

  * New maintainer address. Thanks to Paul Slootman for his sponsorship
    until now.
  * Standards-Version: 3.5.0: no changes required (but now debconf is in
    policy, yay!).
  * Enable -DDEBUG for all builds. This adds a very small amount of
    overhead, but it's worth it because people can just do -Dwhatever
    without having to reconfigure and recompile trn; this makes support a
    lot easier.
  * Added README.debugging.
  * debian/templates: Added German translation, thanks to Michael Bramer.
  * debian/copyright: Hedge my bets more, in case anyone thinks I'm offering
    legal advice.
  * debian/config: Erm, 'db_fset foo true' probably isn't what I meant, and
    will fail with debconf >= 0.5.57. Added the necessary 'isdefault'.
    Moving to the semantics of debconf 0.5 will make this saner.

 -- Colin Watson <cjwatson@debian.org>  Tue,  6 Feb 2001 12:04:14 +0000

trn4 (4.0-test74-7) unstable; urgency=low

  * The "White Christmas" release.
  * Applied upstream patch from Ken Herron and Wayne Davison to use getcwd()
    in preference to getwd() (a potential security hole, though I can't see
    any way it could have been exploited beyond making trn crash).
  * A couple of segfault fixes from CVS.
  * There's already an upstream changelog, but it's what most people would
    probably call a NEWS file. Now this package calls it that too, and I've
    manufactured a detailed changelog of trn4 since -test45 from the archive
    of patches. This is now installed as /usr/share/doc/trn4/changelog.gz.
  * debian/menu: Added "News" hint.
  * debian/control:
    - 'inews | inewsinn' was redundant, as inewsinn provides inews. The
      other way round causes inewsinn to be the preferred alternative, and
      actually these days we probably want inn2-inews instead.
    - Versioned build-dependency on debhelper.
  * debian/README.Debian: trn does the alternatives thing now.
  * TODO update (URL in support/filter.README fixed in CVS).

 -- Colin Watson <cjw44@flatline.org.uk>  Fri, 29 Dec 2000 14:23:27 +0000

trn4 (4.0-test74-6) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.2.1: no other changes required.
    - Slight wording change in long description.
    - Also build-depend on bison. Oops.
  * debian/Policy.sh:
    - Use /etc/mailname instead of /etc/news/whoami (policy 5.6). If
      /etc/mailname is missing, a question will be asked via debconf; if the
      two files are different, the user will be warned about the change.
    - Set mailer and mimecap explicitly, since otherwise we have to
      build-depend on mail-transport-agent and mime-support respectively.
    - It turns out that everywhere that uses an editor or a pager checks the
      relevant environment variables first, so we can drop the sensible-
      from sensible-editor and sensible-pager.
    - Turn off d_portable. When Configure says "multiple machines", it
      really means "multiple machines with different filesystem structures".
      That isn't necessary in Debian, and, with the public executables moved
      to /usr/lib/trn4 (see below), they are no longer necessarily in a
      directory on the PATH.
    - Set the optional libraries explicitly; the build broke when
      heimdal-lib was installed. Aargh. Now I see what Jon Rabone meant
      about strftime() detection.
  * debian/TODO: Some additions (wording and the suggestion of an Fcc:
    header).
  * debian/{config,postinst,templates}: The debconf logic was broken in a
    number of subtle ways. Fixed it, and folded the note on NNTP
    configuration into the question prompting for a news server.
  * Move towards coexistence with other trn packages:
    - The public executables are now in /usr/lib/trn4, with
      alternatives-managed symlinks from /usr/bin. trn itself is also
      installed as /usr/bin/trn4, and will use the real paths internally.
    - The man pages are also installed as /usr/share/man/man1/trn4-*, again
      with alternatives.
    - Added README.Debian, with a note about the effects of this change.
    - Only conflict with and replace older versions of trn.
  * Installed some group-scanning configuration files
    (/etc/trn4/{trn4top,hier_groups}).
  * debian/menu: Added a menu entry.
  * debian/rules: Removed check for nostrip in $DEB_BUILD_OPTIONS, since as
    of debhelper version 2.1.6 dh_strip understands it.
  * debian/copyright: Added a note about the FAQ.
  * debian/docs:
    - Erk! Why was I not including the README file? I am now.
    - I also think it's useful to include the INSTALL file, as it has advice
      on site-specific installation and configuration as well as
      compilation.
  * ... and in all this I never even touched the upstream source.
    Spectacular.

 -- Colin Watson <cjw44@flatline.org.uk>  Thu, 14 Sep 2000 01:20:34 +0100

trn4 (4.0-test74-5) unstable; urgency=low

  * Standards-Version: 3.2.0:
    - Support debug and nostrip in $DEB_BUILD_OPTIONS.
  * Replaces: strn as well as trn, since if the user has selected trn4 even
    as a beta package then they probably don't want it superseded by older
    code.
  * Changed priority to extra, as we conflict with both trn and strn.
  * Updated for debhelper v2 (DH_COMPAT=2).
  * Removed Lintian override file; although it complains about the debconf
    config and templates files, other debconf packages don't seem to use
    one.
  * Use gcc by name, not cc.
  * Added debian/TODO.
  * Install INIT and access.def in /etc/trn4, making them conffiles. The
    same files in /usr/share/trn4 are now symlinks.

 -- Colin Watson <cjw44@flatline.org.uk>  Fri, 11 Aug 2000 16:23:51 +0100

trn4 (4.0-test74-4) unstable; urgency=low

  * Standards-Version: 3.1.1:
    - Added Build-Depends: line.
  * trn is unfortunately not really the de facto standard any more ;-), so
    fix the long description not to lie.
  * New 'configure' target in debian/rules.
  * Clarified why trn4 is in non-free in the copyright file.
  * Installed some potentially useful stuff in /usr/share/doc/trn4/support.

 -- Colin Watson <cjw44@flatline.org.uk>  Wed, 21 Jun 2000 06:08:13 +0100

trn4 (4.0-test74-3) unstable; urgency=low

  * /etc/news/whoami is now generated if it doesn't already exist.
  * Minor debconf tidying.

 -- Colin Watson <cjw44@flatline.org.uk>  Mon,  5 Jun 2000 02:46:30 +0100

trn4 (4.0-test74-2) unstable; urgency=low

  * Upstream has had to change the licence back to one that restricts
    commercial use until such time as some old code in it can be replaced,
    so this is going back into non-free. :(
  * Improved the clean stage and the way Configure is run.

 -- Colin Watson <cjw44@flatline.org.uk>  Mon, 29 May 2000 01:33:36 +0100

trn4 (4.0-test74-1) unstable; urgency=low

  * New upstream release

 -- Colin Watson <cjw44@flatline.org.uk>  Sat, 27 May 2000 12:32:40 +0100

trn4 (4.0-test73-1) unstable; urgency=low

  * New upstream release. Some of the changes below have been backed out in
    favour of upstream; in particular, the From: line is set in the various
    header environment variables rather than being hacked in the posting
    code.
  * trn4's licence is now BSD, so this can go into main! Relicensed my
    changes to BSD to match.
  * /usr/lib/trn4 -> /usr/share/trn4, apart from inews.
  * Installed the online help in the right place this time.

 -- Colin Watson <cjw44@flatline.org.uk>  Thu, 25 May 2000 13:52:39 +0100

trn4 (4.0-test72-7) unstable; urgency=low

  * New maintainer address.
  * Added the HACKERSGUIDE and the FAQ from the upstream author's website to
    the documentation directory, and installed some examples.
  * Some preparation for building with Tk, but it doesn't work yet.
  * -O2 -g -Wall, not -O3 -g (policy 4.1).
  * Use sensible-editor and sensible-pager (policy 5.4).
  * Finally unearthed Peter Maydell's man pages for nntplist and trn-artchk.
  * Rnmail now strips empty header lines before it sends anything.
  * Some additions to the copyright.
  * Moved to debconf.
  * Provides: trn rather than replacing it.

 -- Colin Watson <cjw44@flatline.org.uk>  Fri, 19 May 2000 23:03:20 +0100

trn4 (4.0-test72-6) unstable; urgency=low

  * Reconfigured, mainly to move the library directory to /usr/lib/trn4.
  * Default editor is now /usr/bin/editor.
  * debian/rules now does 'make realclean'.

 -- Colin Watson <cjw44@cam.ac.uk>  Thu, 16 Mar 2000 21:48:49 +0000

trn4 (4.0-test72-5) unstable; urgency=low

  * Fixed auto-selection of posts when $FROM is set.

 -- Colin Watson <cjw44@cam.ac.uk>  Thu, 16 Mar 2000 17:28:26 +0000

trn4 (4.0-test72-4) unstable; urgency=low

  * Repackaged from scratch using debhelper.
  * Updated path to GPL in debian/copyright.
  * Standards-Version: 3.0.1.
  * Added man page for rn (symlink to trn.1.gz).
  * Wrote man pages for nntplist and trn-artchk.
  * Pnews.header is no longer executable (stops a lintian warning).
  * Added explanation of why this is trn4 and not trn to the long description
    in debian/control.
  * trn4 is now lintian-clean!

 -- Colin Watson <cjw44@cam.ac.uk>  Thu, 16 Mar 2000 05:38:54 +0000

trn4 (4.0-test72-3) unstable; urgency=low

  * Added support for setting the From: line with the $FROM environment
    variable.

 -- Colin Watson <cjw44@cam.ac.uk>  Tue, 14 Mar 2000 17:21:49 +0000

trn4 (4.0-test72-2) unstable; urgency=low

  * Changed the depends to inews|inewsinn.

 -- Colin Watson <cjw44@cam.ac.uk>  Tue, 25 Jan 2000 22:35:37 +0000

trn4 (4.0-test72-1) unstable; urgency=low

  * Initial release.

 -- Colin Watson <cjw44@cam.ac.uk>  Mon, 10 Jan 2000 17:29:23 +0000

